> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Email invoice to customer

> Use when you want Flexprice to email a finalized invoice to the customer, with a link to the hosted invoice and the PDF attached. Sends to the customer's email unless `to` is given. Returns the queued email; delivery happens in the background.



## OpenAPI

````yaml https://swagger.flexprice.io post /invoices/{id}/email
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
  - url: https://canada.api.flexprice.io/v1
    description: Canada Region
  - url: https://eu.api.flexprice.io/v1
    description: EU Region
security: []
paths:
  /invoices/{id}/email:
    post:
      tags:
        - Invoices
      summary: Email invoice to customer
      description: >-
        Use when you want Flexprice to email a finalized invoice to the
        customer, with a link to the hosted invoice and the PDF attached. Sends
        to the customer's email unless `to` is given. Returns the queued email;
        delivery happens in the background.
      operationId: sendInvoiceEmail
      parameters:
        - name: id
          in: path
          description: Invoice ID
          required: true
          schema:
            type: string
      requestBody:
        description: Recipients overriding the customer's email
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendInvoiceEmailRequest'
        required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailLogResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript
          source: |-
            import { Flexprice } from "@flexprice/sdk";

            const flexprice = new Flexprice({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await flexprice.invoices.sendInvoiceEmail("<id>");

              console.log(result);
            }

            run();
        - lang: go
          label: Go
          source: "package main\n\nimport(\n\t\"context\"\n\tflexprice \"github.com/flexprice/go-sdk/v2\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := flexprice.New(\n        flexprice.WithSecurity(\"<YOUR_API_KEY_HERE>\"),\n    )\n\n    res, err := s.Invoices.SendInvoiceEmail(ctx, \"<id>\", nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.EmailLogResponse != nil {\n        // handle response\n    }\n}"
        - lang: python
          label: Python
          source: |-
            from flexprice import Flexprice


            with Flexprice(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as f_client:

                res = f_client.invoices.send_invoice_email(id="<id>")

                # Handle response
                print(res)
components:
  schemas:
    SendInvoiceEmailRequest:
      type: object
      properties:
        cc:
          maxItems: 50
          type: array
          items:
            type: string
        idempotency_key:
          maxLength: 128
          minLength: 1
          type: string
        to:
          maxItems: 50
          type: array
          items:
            type: string
    EmailLogResponse:
      type: object
      properties:
        cc_addresses:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
        customer_id:
          type: string
        delivered_at:
          type: string
          format: date-time
        delivery_status:
          $ref: '#/components/schemas/types.EmailDeliveryStatus'
        entity_id:
          type: string
        entity_type:
          $ref: '#/components/schemas/types.SystemEntityType'
        environment_id:
          type: string
        from_address:
          type: string
        id:
          type: string
        idempotency_key:
          type: string
        metadata:
          $ref: '#/components/schemas/types.Metadata'
        provider:
          $ref: '#/components/schemas/types.EmailProvider'
        provider_message_id:
          type: string
        reply_to:
          type: string
        sent_at:
          type: string
          format: date-time
        status:
          $ref: '#/components/schemas/types.Status'
        status_reason:
          type: string
        subject:
          type: string
        template_key:
          $ref: '#/components/schemas/types.EmailTemplateKey'
        tenant_id:
          type: string
        to_addresses:
          type: array
          items:
            type: string
        trigger:
          $ref: '#/components/schemas/types.EmailTrigger'
        updated_at:
          type: string
          format: date-time
        updated_by:
          type: string
    errors.ErrorResponse:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/errors.ErrorCode'
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    types.EmailDeliveryStatus:
      type: string
      enum:
        - queued
        - sent
        - delivery_delayed
        - delivered
        - bounced
        - complained
        - failed
        - suppressed
        - skipped
      x-enum-varnames:
        - EmailDeliveryStatusQueued
        - EmailDeliveryStatusSent
        - EmailDeliveryStatusDeliveryDelayed
        - EmailDeliveryStatusDelivered
        - EmailDeliveryStatusBounced
        - EmailDeliveryStatusComplained
        - EmailDeliveryStatusFailed
        - EmailDeliveryStatusSuppressed
        - EmailDeliveryStatusSkipped
      x-speakeasy-name-override: EmailDeliveryStatus
    types.SystemEntityType:
      type: string
      enum:
        - feature
        - customer
        - plan
        - subscription
        - invoice
        - payment
        - credit_note
        - refund
        - wallet
        - entitlement
        - checkout_session
        - payment_method
        - price
        - event
        - commitment
        - billing_term
        - billing_instalment
      x-enum-varnames:
        - SystemEntityTypeFeature
        - SystemEntityTypeCustomer
        - SystemEntityTypePlan
        - SystemEntityTypeSubscription
        - SystemEntityTypeInvoice
        - SystemEntityTypePayment
        - SystemEntityTypeCreditNote
        - SystemEntityTypeRefund
        - SystemEntityTypeWallet
        - SystemEntityTypeEntitlement
        - SystemEntityTypeCheckoutSession
        - SystemEntityTypePaymentMethod
        - SystemEntityTypePrice
        - SystemEntityTypeEvent
        - SystemEntityTypeCommitment
        - SystemEntityTypeBillingTerm
        - SystemEntityTypeBillingInstalment
      x-speakeasy-name-override: SystemEntityType
    types.Metadata:
      type: object
      additionalProperties:
        type: string
      x-speakeasy-name-override: Metadata
    types.EmailProvider:
      type: string
      enum:
        - resend
        - local
      x-enum-varnames:
        - EmailProviderResend
        - EmailProviderLocal
      x-speakeasy-name-override: EmailProvider
    types.Status:
      type: string
      enum:
        - published
        - deleted
        - archived
      x-enum-varnames:
        - StatusPublished
        - StatusDeleted
        - StatusArchived
      x-speakeasy-name-override: Status
      x-speakeasy-unknown-values: allow
    types.EmailTemplateKey:
      type: string
      enum:
        - invoice_finalized
      x-enum-varnames:
        - EmailTemplateInvoiceFinalized
      x-speakeasy-name-override: EmailTemplateKey
    types.EmailTrigger:
      type: string
      enum:
        - auto
        - manual
      x-enum-varnames:
        - EmailTriggerAuto
        - EmailTriggerManual
      x-speakeasy-name-override: EmailTrigger
    errors.ErrorCode:
      type: string
      enum:
        - http_client_error
        - system_error
        - internal_error
        - not_found
        - already_exists
        - version_conflict
        - validation_error
        - invalid_operation
        - permission_denied
        - database_error
        - service_unavailable
        - too_many_requests
        - not_implemented
      x-enum-varnames:
        - ErrCodeHTTPClient
        - ErrCodeSystemError
        - ErrCodeInternalError
        - ErrCodeNotFound
        - ErrCodeAlreadyExists
        - ErrCodeVersionConflict
        - ErrCodeValidation
        - ErrCodeInvalidOperation
        - ErrCodePermissionDenied
        - ErrCodeDatabase
        - ErrCodeServiceUnavailable
        - ErrCodeTooManyRequests
        - ErrCodeNotImplemented
      x-speakeasy-name-override: ErrorCode
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.